#include <bits/stdc++.h>
using namespace std;

int n,m,druzeljubivost[100005],brpoznanika[100005];
int main() {
cin>>n>>m;
for(int l=1;l<=n;l++){

   scanf("%d",&druzeljubivost[l]);

}

int a,b;
for(int l=1;l<=m;l++){

        scanf("%d%d",&a,&b);

   brpoznanika[a]++;
   brpoznanika[b]++;
}int sreca=0;
for(int i=1;i<=n;i++){


    sreca=abs(druzeljubivost[i]*brpoznanika[i])+sreca;

}
cout<<sreca<<endl;



  return 0;
}